atalkd.conf(5)

NAME
atalkd.conf - Configuration file used by atalkd(8) to determine the interfaces used by the master Netatalk daemon

DESCRIPTION
/etc/netatalk/atalkd.conf is the configuration file used by atalkd to configure the Appletalk interfaces and their behavior

Any line not prefixed with # is interpreted. The configuration lines are composed like:

Interface [ options ]

The simplest case is to have either no atalkd.conf, or to have one that has no active lines. In this case, atalkd should auto-discover the local interfaces on the machine. Please note that you cannot split lines.

The interface is the network interface that this to work over, such as eth0 for Linux, or le0 for Sun.

The possible options and their meanings are:

-addr net.node
    Allows specification of the net and node numbers for this interface, specified in Appletalk numbering format (example: -addr 66.6).

-dontroute
    Disables Appletalk routing. It is the opposite of -router.

-net first[-last]
    Allows the available net to be set, optionally as a range.

-noallmulti (linux only)
    On linux the interfaces, atalkd uses, are set to ALLMULTI by default caused by countless NICs having problems without being forced into this mode (some even don't work with allmulti set). In case, you've a NIC known to support multicasts properly, you might want to set this option causing less packets to be processed

-phase ( 1 | 2 )
    Specifies the Appletalk phase that this interface is to use (either Phase 1 or Phase 2).

-router
    Like -seed, but allows single interface routing. It is the opposite of -dontroute.

-seed
    The seed option only works if you have multiple interfaces. It also causes all missing arguments to be automagically configured from the network.

-zone zonename
    Specifies a specific zone that this interface should appear on (example: -zone "Parking Lot"). Please note that zones with spaces and other special characters should be enclosed in parentheses.

SEE ALSO
atalkd(8)